use crate::types::Thing;

pub struct ThingLump {
    pub things: Vec<Thing>,
}

impl ThingLump {
    pub fn get_num_things(&self) -> usize {
        self.things.len()
    }

    pub fn get_all_things(&self) -> Vec<Thing> {
        self.things.to_vec()
    }

    pub fn get_thing(&self, pos: usize) -> Thing {
        self.things[pos].to_owned()
    }
}
